apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: demande-pv-boutique
spec:
  storageClassName: entrepot-azurefile-csi
  resources:
    requests:
      storage: 500Mi
  accessModes:
  - ReadWriteMany

# ReadWriteOnce (RWO) — le volume peut être monté en lecture-écriture par un seul nœud Kubernetes.
# ReadOnlyMany (ROX) — le volume peut être monté en lecture seule par plusieurs nœuds Kubernetes.
# ReadWriteMany (RWX) — le volume peut être monté en lecture-écriture par plusieurs nœuds Kubernetes.
# ReadWriteOncePod (RWOP) — le volume peut être monté en lecture-écriture par un seul pod. Ceci n’est pris en charge que pour les volumes CSI et Kubernetes version 1.22+. (Une autre source évoque la version 1.27.)
